apiVersion: networking.k8s.io/v1
kind: NetworkPolicy
metadata:
  name: elasticsearch-policy
  namespace: elastic-system
spec:
  podSelector:
    matchLabels:
      app: elastic
      network: elastic
  policyTypes:
  - Ingress
  ingress:
  - from:
    - podSelector:
        matchLabels:
          app: logstash
          network: elastic
    - podSelector:
        matchLabels:
          app: logstash
    ports:
    - port: 9200           
---
apiVersion: networking.k8s.io/v1
kind: NetworkPolicy
metadata:
  name: logstash-policy
  namespace: elastic-system
spec:
  podSelector:
    matchLabels:
      app: logstash
      network: elastic
  policyTypes:
  - Ingress
  ingress:
  - from:
    - namespaceSelector:
        matchLabels:
          app: jenkins
      podSelector:
        matchLabels:
          component: server
    - namespaceSelector:
        matchLabels:
          app: jenkins
      podSelector:
        matchLabels:
          component: slave
    ports:
    - protocol: TCP
      port: 5000
  egress:
  - to:
    - podSelector:
        matchLabels:
          app: elastic
          network: elastic
    ports:
    - protocol: TCP
      port: 9200
---
apiVersion: networking.k8s.io/v1
kind: NetworkPolicy
metadata:
  name: kibana-policy
  namespace: elastic-system
spec:
  podSelector:
    matchLabels:
      app: kibana
      network: elastic
  policyTypes:
  - Egress
  egress:
  - to:
    - podSelector:
        matchLabels:
          app: elastic  
          network: elastic                